Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87873 - PATCH add automatic modules dependencies handling
Summary: PATCH add automatic modules dependencies handling
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-03 15:05 UTC by Need Real Name
Modified: 2007-04-18 16:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-11 03:42:28 UTC


Attachments (Terms of Use)
a proposed patch to add this enhancement (deleted)
2003-04-03 15:06 UTC, Need Real Name
no flags Details | Diff

Description Need Real Name 2003-04-03 15:05:11 UTC
mkinitrd has never supported reading of /lib/modules/$kernel/modules.dep to
handle dependencies in loaded modules, hence deps must be explicitely written in
mkinitrd source, and bugs often appear when kernel people split/merge modules.

here is a patch that adds this missing feature.

Comment 1 Need Real Name 2003-04-03 15:06:26 UTC
Created attachment 90866 [details]
a proposed patch to add this enhancement

Comment 2 Need Real Name 2003-04-24 13:37:15 UTC
not interested at all?

Comment 3 Jeremy Katz 2003-04-24 13:49:31 UTC
Just busy :(

Comment 4 Jeremy Katz 2003-06-11 03:42:28 UTC
Mostly committed.  Still have to do a couple of "dep" resolves by hand as
they're things that aren't necessarily direct module dependencies as far as
modutils is concerned even if they don't work otherwise (eg, the i2o stack).

Will be in 3.5.0-1

Comment 5 Need Real Name 2003-06-17 15:19:39 UTC
Thanks. You forgot to add me in the list of "contributors" at the top of
/sbin/mkinitrd (tested in 3.5.3) though.


Note You need to log in before you can comment on or make changes to this bug.